Page MenuHomePhabricator

Fix the alignment for Beta features tab in Special:GlobalPreferences
Closed, ResolvedPublic3 Story Points

Description

This includes making the mockups line up properly as they should.

Event Timeline

Niharika triaged this task as Normal priority.Feb 27 2018, 1:57 AM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 1:57 AM

We could make them OOUI ones, I guess. It's a bit more work to only to that on one tab, but you're right it would look better.

I don't suppose we want them to be OOUI on all tabs do we? (He asks hopefully.)

I agree, it would be nice to have the checkboxes on this page match:

We could make them OOUI ones, I guess. It's a bit more work to only to that on one tab, but you're right it would look better.

We could also just give those checkboxes an extra class and make them look bigger and whiter in the CSS - your call. I suspect we'd have to revisit all this anyway when T117781: Convert Special:Preferences to OOUI happens (probably in the next 6 months).

I don't suppose we want them to be OOUI on all tabs do we? (He asks hopefully.)

Nah, we definitely don't want them to be OOUI on all tabs until T180538: Improve Special:Preferences UI/UX and T117781: Convert Special:Preferences to OOUI are done.

@Quiddity Yeah, saw those. Sam did a lot of work to make everything OOUI when T117781: Convert Special:Preferences to OOUI briefly happened. Sadly it got reverted and we had to undo all that work. :(

TBolliger renamed this task from Fix the UI for Beta features tab in Special:GlobalPreferences to Fix the alignment for Beta features tab in Special:GlobalPreferences.Feb 28 2018, 12:39 AM
TBolliger updated the task description. (Show Details)
TBolliger set the point value for this task to 3.
TBolliger moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
TBolliger added a subscriber: TBolliger.

All OOUI work for GlobalPrefs will be handled in T186842: Convert Special:GlobalPreferences to OOUI

This task is just about alignment.

Samwilson claimed this task.Mar 2 2018, 2:06 AM
Samwilson moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 415795 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/GlobalPreferences@master] Don't interfere with BetaFeatures fields display

https://gerrit.wikimedia.org/r/415795

This seems to be as simple as not interfering with the display of BetaFeatures weird preference types.

Change 415795 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Don't interfere with BetaFeatures fields display

https://gerrit.wikimedia.org/r/415795

Niharika closed this task as Resolved.Mar 2 2018, 6:19 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Works great!